PSAV/A PARSE	PUSH	BC		;SAVE COUNT
 	LD	B,1		;POSITION COUNT
 PARLP	LD	A,(DE)		;GET TABLE BYTE
 	BIT	7,A		;CHECK FOR COMMAND BEGIN
 	INC	DE		;BUMP TABLE
 	JR	Z,PARLP		;CONTINUE TILL FIRST BYTE
 	AND	7FH		;CLEAR HIGH BIT
 	JR	Z,PAREND	;END OF TABLE
 	LD	C,(HL)		;GET STRING BYTE
 	CP	C		;COMPARE
 	JR	Z,PARGOT	;MATCH
 	RES	5,C		;LOWERCASE OFF
 	CP	C		;SAME AS TABLE ?
 PARGOT	PUSH	HL		;SAVE STRING POINTER
 	JR	NZ,CMDEND	;NEXT IF NOT THE SAME
 	INC	HL		;POINT TO 2'ND BYTE
 PARLP1	LD	A,(DE)		;TABLE BYTE
 	BIT	7,A		;NEW COMMAND ?
 	JR	NZ,CMDEN	;END OF COMMAND WORD
 	LD	A,(HL)		;STRING BYTE
 	CP	2CH		;TERMINATOR ?
 	JR	Z,CMDEND	;END OF WORD
 	CP	';'
 	JR	Z,CMDEND
 	CP	21H		;SPACE OR LESS
 	JR	C,CMDEND	;END OF REG WORD
 	LD	A,(DE)		;TABLE BYTE BACK
 	LD	C,(HL)		;GET STRING BYTE
 	CP	C		;MATCH ?
 	JR	Z,PARM1		;UPPERCASE MATCH
 	RES	5,C		;LOWERCASE OFF
 	CP	C		;SAME ?
 	JR	NZ,CMDEND	;NO MATCH IF NZ
 PARM1	INC	DE		;BUMP POINTERS
 	INC	HL
 	JR	PARLP1
 CMDEN	LD	A,(HL)		;SEE IF HL TERMINATOR TOO
 	CP	2CH		;COMMA ?
 	JR	Z,CMDINC	;HAVE COMMAND
 	CP	';'
 	JR	Z,HAVCNT
 	CP	21H		;SPACE OR LESS ?
 	JR	C,CMDHAV	;HAVE COMMAND
 CMDEND	POP	HL		;RESTORE HL
 	INC	B		;INCREMENT COUNT
 	JR	PARLP		;CONTINUE THROUGH STRING
 CMDHAV	CP	20H		;SPACE ?
 	JR	C,HAVCNT	;DON'T INCREMENT IF NOT
 CMDINC	INC	HL		;HL=>TERMINATOR +1
 HAVCNT	LD	A,B		;GET TABLE POSITION
 	OR	A		;SET NZ FLAG
 	EX	(SP),HL		;SAVE CURRENT HL
 	POP	HL		;RESTORE STACK
 PAREND	POP	BC		;RESTORE BC
 	RET			;DONE, A=POSITION
 INCREMENT IF NOT
 CMDINC	INC	HL		